# Defederation Policy
This document details how Programming.Dev ("programming.dev", "we", "us", "our") choose to defederate with other instances. If an instance wishes to be federated and thus have their content show on our sites they must abide by the policy and ensure they do not do one of the actions in the how an instance gets defederated section.

## What is Defederation?
Our sites are federated with other instances. Instances are essentially sites but that are instances of federated software. This means that content posted on our sites is visible from other sites and we get content from other sites to interact with on our sites. Someone in a federated forum about cars may browse programming posts on their cars site and comment from there and we may do the same to them.

Defederating from a instance:
- Makes users from our sites not be able to see things such as posts and comments from users on that instance.
- Makes users from that instance no longer be able to interact with communities or users on our sites.

## How does an instance get defederated?
- Instances may be defederated if they break our [Code of Conduct](https://github.com/programming-dot-dev/p.d-legal/blob/main/CODE-OF-CONDUCT.md) whether though encouraging something we disallow or not moderating users that break it.
- Instances that have no active administrators may be defederated.
- Instances that have a lack of security that is not addressed and that puts our users at risk may be defederated. This includes things like having a sign up process that does not stop bots from mass creating accounts.
- Instances that have defederated from us may be defederated to prevent one way conversations where we get content from the other instance but users commenting on that content get no response.

## Defederated Instances
This is a list of all of the instances we have currently defederated and the reasoning for them:

Forums & Link Aggregators
```
burggit.moe - Lolicon, Shotacon, & Ignoring DMCA requests
hexbear.net - Not on allowlist
kbin.cafe - CSAM
mujico.org - Racism
rqd2.net - Pedophilia, Zoophilia, & Biastophilia
```

Microblogs
```
13bells.com - Hate Speech, Homophobia & Transphobia
1611.social - Hate Speech, Homophobia & Racism
4aem.com - Antisemitism
5dollah.click - Racism
more to be added here. Full list is visible on fediseer or our site federation tab if it exists
```

## Do we Make Updates to this Defederation Policy?
We may update the Defederation Policy from time to time. When we do, we will change the "Last Updated" date and author at the top of the page to indicate the date and author of the most recent changes. If we make changes we may notify you by posting a notice of such changes or by sending you a notification. We encourage you to review the Defederation Policy periodically for any modifications.

## Contact Us
If you have questions or concerns about this Defederation Policy you should contact us at info@programming.dev.
