# Donation Policy
This is a policy that describes how Programming.Dev ("programming.dev", "we", "us", "our") handles donations towards us.

## How are Donations Made?
Donations are currently made using [snowe's github sponsors page](https://github.com/sponsors/snowe2010/). If you get another place to donate that is not this it is fake and should be reported to us.

## How are Donations Spent?
Donations are spent on things relating to our sites. This includes things such as server costs, infrastructure costs, tool costs, and payment for work done relating to it.

## Who is considered a donator?
Donators are people who have at one point made a donation towards us regardless on whether they are currently doing a monthly donation, did one in the past, or did a one time donation.

## Donation Perks
We offer perks towards donators that have at one point made a donation towards us. These are the current perks donators get:
- A donator role on our discord server
- An account on our linkstack site https://me.programming.dev for sharing links related to you in one page

## Donation Perk Terms
By donating to programming.dev you acknowledge and agree to the following terms:
- **Display Proof:** To get access to a perk you must be able to prove that you are the one that made the donation.
- **Account Requirement:** Access to a perk requires an account on the platform the perk is on. For example to get a discord role you need a discord account.
- **Request Perks:** To get a perk you need to request it from a community team admin in charge of the software the perk is on.
- **Refund Policy:** Donations are generally non refundable. If a perk is removed or edited refunds will not be given.
- **Modification of Perks:** Perks may be modified at any time to change details about a perk, add new perks, or remove existing perks. They are privileges and do not constitute a legal right or entitlement.
- **Perk Removal:** Users may have perks taken away from them if they abuse the perk (as in use it in a way it was not intended) or break our [Code of Conduct](https://github.com/programming-dot-dev/p.d-legal/blob/main/CODE-OF-CONDUCT.md).

## Do we Make Updates to this Donation Policy?
We may update the Donation Policy from time to time. When we do, we will change the "Last Updated" date and author at the top of the page to indicate the date and author of the most recent changes. If we make changes we may notify you by posting a notice of such changes or by sending you a notification. We encourage you to review this Donation Policy periodically for any modifications.

## Contact Us
If you have questions or concerns about this Donation Policy you should contact us at info@programming.dev.
